Quick software setup

Creations

Sorunome

NEW 1 year ago

FredS75 FredS75

The gamebuino classic doesn't have that, it has a separate chip for USB communication which should always be ready. Make sure you are using a USB cable that isn't charging-only

FredS75

NEW 1 year ago

Yes, I just tried some of them and notably one that I use for a Tomtom GPS and it doesn't word... Maybe there is a problem with a driver? I installed the drive automatically with the Arduino IDE installation. Is there anyway to install it again manually?

chris-scientist

NEW 1 year ago

Merci pour ce cours ! Il est vraiment clair ;)

Juice_Lizard

NEW 1 year ago

Bonjour, à l'étape "Gestionnaire de carte", il m'est impossible d'installer l'"Arduino SAMD", quelle que soit la version, car j'ai toujours un message en rouge qui me dit: "L'outil machin-truc n'est pas disponible pour votre système d'exploitation." J'ai un MacBook avec Mac OS X 10.7.5. Est-ce que quelqu'un aurait une solution pour moi? Merci. À par ça, j'arrive déjà à installer des jeux tout fait sur la carte SD de la Gamebuino Meta ou créer des jeux pour Arduboy avec l'Arduino IDE 1.6.11.

Sorunome

1 year ago

Unfortunately I don't really know the solution to your issue. What I would do, however, is try to update the Arduino IDE to version 1.8.5. You can get it from the arduino website.

Max

1 year ago

Bonjour,
As-tu réussi à résoudre ton problème ?

Sorunome

NEW 1 year ago

Juice_Lizard Juice_Lizard

Unfortunately I don't really know the solution to your issue. What I would do, however, is try to update the Arduino IDE to version 1.8.5. You can get it from the arduino website.

Juice_Lizard

1 year ago

Thank you, but even after download the Arduino IDE 1.8.5, I can neither install "Arduino SAMD" nor "Gamebuino META" on my MacBook. (Is it possible to do it with my Pocket CHIP ???)

Juice_Lizard

NEW 1 year ago

Sorunome Sorunome

Thank you, but even after download the Arduino IDE 1.8.5, I can neither install "Arduino SAMD" nor "Gamebuino META" on my MacBook. (Is it possible to do it with my Pocket CHIP ???)

Sorunome

1 year ago

Does it give any errors? How exactly are you trying to install those?

Sorunome

NEW 1 year ago

Juice_Lizard Juice_Lizard

Does it give any errors? How exactly are you trying to install those?

Juice_Lizard

1 year ago

I go to "Tools" and "Boards Manager" in the Arduino IDE, then try to install "Arduino SAMD Boards" by clicking "Install". This sentence pop up in red: "L'outil arm-none-eabi-gcc n'est pas disponible pour votre systeme d'exploitation." And when I try with "Gamebuino META Boards", it just says "L'outil openocd n'est pas disponible pour votre systeme d'exploitation." and I can't install them.

Juice_Lizard

NEW 1 year ago

Sorunome Sorunome

I go to "Tools" and "Boards Manager" in the Arduino IDE, then try to install "Arduino SAMD Boards" by clicking "Install". This sentence pop up in red: "L'outil arm-none-eabi-gcc n'est pas disponible pour votre systeme d'exploitation." And when I try with "Gamebuino META Boards", it just says "L'outil openocd n'est pas disponible pour votre systeme d'exploitation." and I can't install them.

Sorunome

1 year ago

This is....very odd, as according to the openocd and the arm-node-eabi-gcc tool manifestos by arduino they are available on macOS. The only explanation I have left is that OSX 10.7 might be simply too old, which would be quite a shame!

So yeah, I unfortunately can't help you more on this issue, maybe somebody else can?

Sorunome

NEW 1 year ago

Juice_Lizard Juice_Lizard

This is....very odd, as according to the openocd and the arm-node-eabi-gcc tool manifestos by arduino they are available on macOS. The only explanation I have left is that OSX 10.7 might be simply too old, which would be quite a shame!

So yeah, I unfortunately can't help you more on this issue, maybe somebody else can?

Max

NEW 1 year ago

Juice_Lizard Juice_Lizard

Bonjour,
As-tu réussi à résoudre ton problème ?

Juice_Lizard

1 year ago

Bonjour. Non, je ne sais pas comment essayer autrement.

Juice_Lizard

NEW 1 year ago

Max Max

Bonjour. Non, je ne sais pas comment essayer autrement.

Max

1 year ago

l'IDE Arduino est peut-être un peu ancien en 1.6.11. Installe la version 1.8.5 (qui fonctionne à partir de 10.7 donc normalement pas de problème). Une fois installé (dans le dossier App bien-sûr), refais le te tuto pour la carte et les bibliothèques. Tiens moi informé :)

Arf je n'avais pas vu que tu l'avais installé.

As-tu renseigné l'url pour le gestionnaire de cartes supplémentaires dans les préférences de l'application ?

Max

NEW 1 year ago

Juice_Lizard Juice_Lizard

l'IDE Arduino est peut-être un peu ancien en 1.6.11. Installe la version 1.8.5 (qui fonctionne à partir de 10.7 donc normalement pas de problème). Une fois installé (dans le dossier App bien-sûr), refais le te tuto pour la carte et les bibliothèques. Tiens moi informé :)

Arf je n'avais pas vu que tu l'avais installé.

As-tu renseigné l'url pour le gestionnaire de cartes supplémentaires dans les préférences de l'application ?

Juice_Lizard

1 year ago

Oui j'ai fait ça. Merci pour ton aide. Mais même avec l'IDE Arduino dans le dossier App et l'adresse URL seule (sans celle pour Arduboy) et au bon endroit ça ne marche pas plus. J'ai toujours ce genre de message en rouge: "L'outil openocd n'est pas disponible pour votre systeme d'exploitation."

Juice_Lizard

NEW 1 year ago

Max Max

Oui j'ai fait ça. Merci pour ton aide. Mais même avec l'IDE Arduino dans le dossier App et l'adresse URL seule (sans celle pour Arduboy) et au bon endroit ça ne marche pas plus. J'ai toujours ce genre de message en rouge: "L'outil openocd n'est pas disponible pour votre systeme d'exploitation."

mn77

NEW 1 year ago

Ok. But in 6 step i have board arduino genuino uno.

Sorunome

1 year ago

Are you using the CLASSIC or the META?

For the CLASSIC you have to select the arduino uno, for the META you have to use the custom board definition as described in this tutorial

jicehel

NEW 1 year ago

Yes, i done it a long time ago now, but i think it's normal until tou download the good libraiies en select the good card even it's already the meta on the picture. Continue the procedure, all should be fine atm.